import { p as a, g as n, a0 as o, A as i } from "./index-CNUFa5l3.js";
import { r as d } from "./wardley-L42UT6IY-BjAkE_cs-li1xYed9.js";
var p = { parse: /* @__PURE__ */ a(async (r) => {
  let e = await d("info", r);
  n.debug(e);
}, "parse") }, g = { version: "11.15.0" }, l = {
  parser: p,
  db: { getVersion: /* @__PURE__ */ a(() => g.version, "getVersion") },
  renderer: { draw: /* @__PURE__ */ a((r, e, s) => {
    n.debug(`rendering info diagram
` + r);
    let t = o(e);
    i(t, 100, 400, !0), t.append("g").append("text").attr("x", 100).attr("y", 40).attr("class", "version").attr("font-size", 32).style("text-anchor", "middle").text(`v${s}`);
  }, "draw") }
};
export {
  l as diagram
};
